> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Subscription Collection

> Pause a Subscription's payment collection temporarily with options for handling payments.
    During the pause period:
    - No charges will be made
    - Access to subscription benefits will be maintained
    - Can be resumed manually or automatically at a specified time



## OpenAPI

````yaml /api-reference/api-docs.yaml patch /v0/subscriptions/{subscriptionIdOrNumber}/pauseCollection
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: tax
    description: Tax calculation related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/subscriptions/{subscriptionIdOrNumber}/pauseCollection:
    patch:
      tags:
        - subscriptions
      summary: Pause Subscription Collection
      description: >-
        Pause a Subscription's payment collection temporarily with options for
        handling payments.
            During the pause period:
            - No charges will be made
            - Access to subscription benefits will be maintained
            - Can be resumed manually or automatically at a specified time
      operationId: PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollection
      parameters:
        - name: subscriptionIdOrNumber
          in: path
          required: true
          description: Subscription ID or order number
          schema:
            $ref: >-
              #/components/schemas/PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollectionParameterSubscriptionIdOrNumber
      requestBody:
        description: >-
          PATCH /v0/subscriptions/:subscriptionIdOrNumber/pauseCollection
          Request body
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollectionRequestBody
      responses:
        '200':
          description: >-
            PATCH /v0/subscriptions/:subscriptionIdOrNumber/pauseCollection
            Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollectionPositiveResponse
        '400':
          description: >-
            PATCH /v0/subscriptions/:subscriptionIdOrNumber/pauseCollection
            Negative response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollectionNegativeResponse
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
          APIKEY_2: []
components:
  schemas:
    PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollectionParameterSubscriptionIdOrNumber:
      type: string
      pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$
      description: Subscription ID or order number
    PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollectionRequestBody:
      type: object
      properties:
        invoicingBehavior:
          type: string
          enum:
            - void
            - keep_as_draft
            - mark_uncollectible
          default: void
          description: |-
            How to handle pending invoices during pause:
                    - void: Void any pending invoices (default)
                    - keep_as_draft: Keep pending invoices as drafts
                    - mark_uncollectible: Mark pending invoices as uncollectible
        resumeAt:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
          maximum: 9007199254740991
          description: >-
            Optional timestamp to automatically resume the Subscription (Unix
            timestamp in seconds)
      required: []
    PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollectionPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            success:
              type: boolean
          required:
            - success
      required:
        - status
        - data
    PatchV0SubscriptionsSubscriptionIdOrNumberPauseCollectionNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key
    APIKEY_2:
      type: apiKey
      in: header
      name: x-fngs-secret-key

````